div#hamburger {
    display: var(--EJA-hamburger-display);
}

div#hamburgercontent {
    display: var(--EJA-hamburger-display);
    width: var(--EJA-width);
    margin: auto;
    height: var(--EJA-menu-height);
}

div#hamburgertoggle {
    display: block;
    position: relative;
    top: 22px;
    left: 284px;
    width: 24px;
    z-index: 1;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

div.hamburgersubmenuback {
    position: relative;
    left: -285px;
    float:left;
    cursor: pointer;
    z-index: 1;
}

div.hamburgersubmenubackhidden {
    top: -100px;
}

div.hamburgersubmenu {
    margin-left: 38px;
    font-weight: normal;
    line-height: 30px;
}

div.hamburgersubmenuhidden {
    display: none;
}

span.hamburgerbacklineup {
    display: block;
    width: 20px;
    height: 4px;
    margin-bottom: 10px;
    position: relative;
    
    background: #082D40;
    border-radius: 3px;
    transform: rotate(45deg) translate(-2px, 0px);
}
span.hamburgerbacklinedown {
    display: block;
    width: 20px;
    height: 4px;
    margin-bottom: 10px;
    position: relative;
    
    background: #082D40;
    border-radius: 3px;
    transform: rotate(-45deg) translate(-2px, 0px);
}

input#hamburgercb {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    opacity: 0;
    z-index: 2;
    -webkit-touch-callout: none;
}

span.hamburgerline {
    display: block;
    width: 24px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background: #082D40;
    border-radius: 3px;
    z-index: 1;
}

input#hamburgercb:checked ~ span.hamburgerline
{
  opacity: 1;
  transform: rotate(45deg) translate(0px, 0px);
  background: #232323;
  transform-origin: 2px 2px;
  width: 28px;
}

input#hamburgercb:checked ~ span.hamburgerline:nth-last-child(3)
{
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

input#hamburgercb:checked ~ span.hamburgerline:nth-last-child(2)
{
  transform: rotate(-45deg) translate(0px, 0px);
  transform-origin: 1px 1px;
}

div#hamburgermenu {
    position: absolute;
    width: 323px;
    background: transparent;
    top: 46px;
    left: -284px;
    transform: translate(0, -100%);
    padding-top: 124px;
    margin: -124px 0 0 0;
/*    margin: -100px 0 0 -50px;*/
}

input#hamburgercb:checked ~ div#hamburgermenu
{
  transform: none;
}

div.hamburgermenuelement {
    background: #ffffff;
    font-family: 'PT Sans Narrow', sans-serif;
    font-size: 14px;
    font-weight: normal;
    text-align: start;
    padding-bottom:10px;
    cursor: pointer;
}

div.hamburgermenuelement a {
    text-decoration: none;
}


div.hamburgermenuelementselected {
    font-weight: bold;
}

div.hamburgermenuelementhidden {
    display: none;
}

div.hamburgermenuindicator {
    width: 3px;
    height: 15px;
    float: left;
    margin-left: 25px;
    margin-top: 2px;
    margin-right: 10px;
}

div.hamburgermenumain {
    background-color: var(--EJA-color-main);
}

div.hamburgermenu1 {
    background-color: var(--EJA-color-menu1);
}

div.hamburgermenu2 {
    background-color: var(--EJA-color-menu2);
}

div.hamburgermenu3 {
    background-color: var(--EJA-color-menu3);
}

div.hamburgermenu4 {
    background-color: var(--EJA-color-menu4);
}

div.hamburgermenu5 {
    background-color: var(--EJA-color-menu5);
}

div.hamburgermenu6 {
    background-color: var(--EJA-color-menu6);
}

div.hamburgermenu7 {
    background-color: var(--EJA-color-menu7);
}

div.hamburgermenu8 {
    background-color: var(--EJA-color-menu8);
}

div.hamburgermenu9 {
    background-color: var(--EJA-color-menu9);
}
